Last Comment Bug 773595 - Have nsSVGPatternFrame::GetPatternMatrix use the correct attribute
: Have nsSVGPatternFrame::GetPatternMatrix use the correct attribute
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: SVG (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla17
Assigned To: Jonathan Watt [:jwatt] (back in October - email directly if necessary)
:
Mentors:
Depends on:
Blocks: 719727
  Show dependency treegraph
 
Reported: 2012-07-13 04:21 PDT by Jonathan Watt [:jwatt] (back in October - email directly if necessary)
Modified: 2012-07-22 10:40 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch (995 bytes, patch)
2012-07-13 04:21 PDT, Jonathan Watt [:jwatt] (back in October - email directly if necessary)
longsonr: review+
Details | Diff | Splinter Review
reftest (3.12 KB, patch)
2012-07-21 08:28 PDT, Robert Longson
jwatt: review+
Details | Diff | Splinter Review

Description Jonathan Watt [:jwatt] (back in October - email directly if necessary) 2012-07-13 04:21:18 PDT
Created attachment 641811 [details] [diff] [review]
patch

Seems to me that nsSVGPatternFrame::GetPatternMatrix should not be looking at patternContentUnits. It should be looking at patternUnits instead.

Here's a patch (passes all our reftests), but I don't have time to write a test right now. If someone wants to come up with one, that'd be great.
Comment 1 Robert Longson 2012-07-21 08:28:13 PDT
Created attachment 644645 [details] [diff] [review]
reftest
Comment 2 Jonathan Watt [:jwatt] (back in October - email directly if necessary) 2012-07-21 19:14:50 PDT
Pushed the patch and a cleaned up version of the test:

https://hg.mozilla.org/integration/mozilla-inbound/rev/b263947c76fc
https://hg.mozilla.org/integration/mozilla-inbound/rev/144a2adc0915
Comment 3 Jonathan Watt [:jwatt] (back in October - email directly if necessary) 2012-07-21 19:16:30 PDT
Not 144a2adc0915, sorry, that should be:

https://hg.mozilla.org/integration/mozilla-inbound/rev/b263947c76fc

Note You need to log in before you can comment on or make changes to this bug.